A client opening an image mid-resize can result in the object map being invalidated

05/27/2015 08:07 PM - Jason Dillaman

Status: Resolved Start date: 05/27/2015

Priority: High Due date:  

Assignee: Jason Dillaman % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Source: Q/A Reviewed:  

Tags:  Affected Versions:  

Backport: hammer ceph-qa-suite:  

Regression: No Pull request ID:  

Severity: 3 - minor   

Description

There is a potential race where the object map size on disk does not match the image size on disk.  This causes librbd to flag the

object map as invalid.  A client that doesn't have exclusive ownership of the image shouldn't be able to change the on-disk object

map validity flag.

Related issues:

Copied to rbd - Backport #12237: A client opening an image mid-resize can res... Resolved 05/27/2015

History

#1 - 06/02/2015 03:20 PM - Jason Dillaman

- Status changed from New to In Progress

- Assignee set to Jason Dillaman

#2 - 06/02/2015 05:39 PM - Josh Durgin

- Priority changed from Normal to High

#3 - 06/23/2015 03:22 PM - Jason Dillaman

- Status changed from In Progress to Need Review

next PR: https://github.com/ceph/ceph/pull/5061

#4 - 06/24/2015 03:33 PM - Jason Dillaman

- Status changed from Need Review to Pending Backport

#5 - 08/30/2015 01:57 PM - Loic Dachary

- Status changed from Pending Backport to Resolved
